Name: libxml2
Version: 2.9.4
Release: 3
License: MIT
Summary: The XML C parser and toolkit of Gnome
Url: http://xmlsoft.org/

BuildRequires: zlib-devel
BuildRequires: xz-devel

Source0: ftp://xmlsoft.org/libxml2/libxml2-%{version}.tar.gz


%description
Libxml2 is the XML C parser and toolkit developed for the Gnome project (but usable outside of the Gnome platform), it is free software available under the MIT License. XML itself is a metalanguage to design markup languages, i.e. text language where semantic and structure are added to the content using extra "markup" information enclosed between angle brackets. HTML is the most well-known markup language. Though the library is written in C a variety of language bindings make it available in other environments.

Libxml2 is known to be very portable, the library should build and work without serious troubles on a variety of systems (Linux, Unix, Windows, CygWin, MacOS, MacOS X, RISC Os, OS/2, VMS, QNX, MVS, VxWorks, ...)


%package -n libxml2-2
Summary: libxml2 library
Provides: %{name} = %{version}

%description -n libxml2-2
 The libxml2 library features:

- Support for a variety of archive and compression formats.
- Robust automatic format detection, including archive/compression combinations such as tar.gz.
- Zero-copy internal architecture for high performance.
- Streaming architecture eliminates all limits on size of archive, limits on entry sizes depend on particular formats.
- Carefully factored code to minimize bloat when programs are statically linked.
- Growing test suite to verify correctness of new ports.
- Works on most POSIX-like systems (including FreeBSD, Linux, Solaris, etc.)
- Supports Windows, including Cygwin, MinGW, and Visual Studio.

%package tools
Summary: libxml2 utilities
Requires: %{name} = %{version}

%description tools
The bsdtar and bsdcpio command-line utilities are feature- and performance-competitive with other tar and cpio implementations:

- Reads a variety of formats, including tar, pax, cpio, zip, xar, lha, ar, cab, mtree, rar, and ISO images.
- Writes tar, pax, cpio, zip, xar, ar, ISO, mtree, and shar archives.
- Automatically handles archives compressed with gzip, bzip2, lzip, xz, lzma, or compress.
- Unique format conversion feature.


%package devel
Summary: libxml2 development files
Requires: %{name} = %{version}

%description devel
libxml2 development files


%prep
%setup -q

%build

%define reconf 0

%if %{reconf}
autoreconf -fi

%configure \
%else
./configure \
%endif
  CPPFLAGS="-I%{_includedir}" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --prefix=%{_prefix} \
%if %{reconf} == 0
  --host=powerpc-ibm-aix6 \
%endif
  --without-python \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  --disable-dependency-tracking
  # end

# TODO: figure out how to build & package python bindings (may need Python 2)
# find . -name Makefile | xargs perl -pi -e 's|Modules/python.exp|/QOpenSys/QIBM/ProdData/OPS/Python2.7/lib/python2.7/config/python.exp|g'

%make_build


%install

%make_install

find %{buildroot}%{_libdir} -name \*.la | xargs rm

rm -r %{buildroot}%{_datadir}/gtk-doc

%files -n libxml2-2
%defattr(-, qsys, *none)

%{_libdir}/libxml2.so.2


%files tools
%defattr(-, qsys, *none)

%{_bindir}/xmlcatalog
%{_bindir}/xmllint

%{_mandir}/man1/xml2-config.1
%{_mandir}/man1/xmlcatalog.1
%{_mandir}/man1/xmllint.1


%files devel
%defattr(-, qsys, *none)

%{_bindir}/xml2-config

%{_libdir}/libxml2.so
%{_libdir}/xml2Conf.sh
%{_libdir}/cmake/libxml2/libxml2-config.cmake
%{_libdir}/pkgconfig/libxml-2.0.pc

%{_includedir}/*
%{_datadir}/aclocal/libxml.m4
%{_defaultdocdir}/libxml2-2.9.4

%{_mandir}/man3/libxml.3


%changelog
